/* colors */
@import url('colors.css');

/* body & section */
* {
    box-sizing: border-box;
    word-break: break-word;
    text-wrap: balance;
  }

.stop-scrolling {
    height: 100%;
    overflow: hidden;
}

html, body {
    padding: 0;
    margin: 0;
    height: 100%;
    min-height: 100%;
    color: var(--dark);
    background-color: var(--pink);
    font-family: Futura, sans-serif;
    scrollbar-color: var(--purple) transparent;
    scrollbar-width: thin;
}

body {
    display: flex;
    flex-direction: column;
}

a {
    cursor: pointer;
}

#wrapper { 
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

section {
    position: relative;
    height: auto;
    width: 100%;
}

.banner-image {
    display: flex;
    align-items: center;
    text-align: center;
    position: fixed;
    min-height: 20%;
    max-height: 20%;
    background: url(images/banner-image-narrow.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 4;
}

.hero-image {
    background: url(images/hero-image-off.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 0;
    height: 100%;
    position: fixed;
    display: flex;
    align-items: center;
    text-align: center;
}

.hero-text {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    color: var(--dark);
    z-index: 1;

    h1 {
        margin-block: 0;
        margin-inline: auto;
        font-size: 2rem;
        font-weight: 600;
        text-wrap: nowrap;
    }
}

.hero-text .subtitle {
    font-size: 1rem;
    font-weight: 300;
    width: fit-content;
    margin-inline: auto;
}

.off-the-clock {
    min-height: 100%;
    position:fixed;
    top: 0;
    background: url(images/hero-image-gigs.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 0;
}

.about {
    min-height: 100%;
    position:fixed;
    top: 0;
    background: url(images/hero-image.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 0;
}

.gig-project {
    text-align: left;
    width: fit-content;
    max-width: 85%;
    text-wrap: wrap;
    padding: .5rem 1rem;
    margin-bottom: 1rem;
    border: 2px solid var(--dark);
    border-left: none;
    border-radius: 0px 5px 5px 0px;
    background-color: var(--blue);
    color: var(--dark)
}

.construction {
    min-height: 100%;
    position:fixed;
    top: 0;
    background: url(images/hero-image-construction.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 0;
}

.fit {
    padding: 1rem 1.5rem 1rem 1.5rem;
    width: fit-content;
    color: var(--yellow);
    text-align: left;
    font-size: 2rem;
    font-weight: 600;
    background-color: var(--dark);
    margin-bottom: 1rem;
    border-radius: 0px 5px 5px 0px;
}

.content {
    flex: 1;
    width: 100%;
    padding-bottom: 2rem;
}

.content h2 {
    font-size: 1.5rem;
    background-color: var(--dark);
    color: var(--yellow);
    width: fit-content;
    margin-block: 0 1rem;
    margin-inline: auto;
    padding: .5rem 1rem .5rem 1rem;
    border-radius: 0px 0px 5px 5px;
}

.content p {
    padding: 1rem;
    width: 100%;
    text-align: left;
    margin-inline: auto;
    margin-bottom: 1rem;
    border-radius: 5px;
    border: 2px solid var(--dark);
    background-color: var(--yellow);
    text-wrap: pretty;
}

.topnav {
    width: 100%;
    display: flex;
    background-color: var(--yellow);
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid var(--purple);
    border-top: 2px solid var(--purple);
  }

.topnav ul {
    margin: 0;
}

.topnav a.icon {
    display: none;
}

.fa-icon {
    width: 1rem;
    height: 100%;
}

.grow {
    width: 1.25rem;
    height: 100%;
}

nav {
  position: fixed;
  display: flex;
  width: 100%;
  height: fit-content;
  padding: 0;
  z-index: 5;
  top: 20%;
}

#nav-container {
    justify-content: center;
}

ul {
  list-style-type: none;
  padding: 1rem;
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;
}

li {
    display: inline;
    text-align: right;
    width: min-content;
    white-space: nowrap;
  }

ol {
    padding: 0;
}

ol li {
    display: list-item;
    padding: 0;
}

a.navlink {
    border: 2px solid;
    border-color: var(--pink); 
    border-radius: 5px;
    text-decoration: none;
    color: var(--dark);
    font-size: 1rem;
    font-weight: 300;
    padding: 5px;
  }

a.navlink:hover {
  border: 2px dotted;
  border-color: var(--dark);
}

a.navlink.active {
    background-color: var(--dark);
    border: 2px solid var(--pink);
    color: var(--yellow);
}

.icon {
    color: var(--dark);
    padding: 1rem;
}

/* footer */
footer {
    width: 100%;
    padding: .5rem 1rem;
    background-color: var(--yellow);
    color: var(--dark);
    font-size: 14px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 2px solid var(--purple);
    border-bottom: 2px solid var(--purple);

    p {
        width: 100%;
    }
}

.fixed {
    position: fixed;
    bottom: 0px;
}

.contact {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: fit-content;
}

.pad {
    padding-top: 1rem;
}

.contact a {
    display: flex;
    align-items: center;
    margin-inline: 0.5rem;
    border: 2px solid;
    border-color: var(--pink); 
    border-radius: 5px;
    height: 2rem;
    padding: 0.25rem;
}

.contact a:hover {
    border-color: var(--dark);
    border-style: dotted;
}

.contact i {
    padding: 0;
}

.contact .edge {
    margin-right: 0;
}

.credit {
    display: flex;
    align-items: center;
}

/* heading */
h1.light {
    padding: 1rem 1.5rem 1rem 1.5rem;
    width: fit-content;
    color: var(--yellow);
    text-align: left;
    font-size: 2rem;
    font-weight: 600;
    background-color: var(--dark);
    margin-bottom: 1rem;
    border-radius: 0px 5px 5px 0px;
    border: 2px solid var(--dark);
    border-left: none;
}

h1.light.blue {
    color: var(--dark);
    background-color: var(--blue);
}

h2 {
    padding-block: 1rem;
    margin: 0;
    width: 100%;
    text-align: center;
    font-size: 1.5rem;
    font-weight: 600;
}

h3 {
    padding-block: 1rem;
    margin: auto;
    width: 100%;
    text-align: center;
    font-size: 1rem;
    font-weight: 600;
}

.dark {
    color: var(--yellow);
    background-color: var(--dark);
    border: 2px solid var(--dark);
    border-left: none;
    margin-bottom: 1rem;
}

/* basic paragraph */
p {
    margin: 0;
    font-size: 16px;
    text-align: left;
    width: 50%;
}

.date {
    font-style: italic;
}

.breadcrumb {
    display: flex;
    justify-content: space-between;
    margin: 1rem;
    padding: 0.5rem 1rem 0.5rem 1rem;
    border-radius: 5px;
    border: 2px solid var(--pink);
    background-color: var(--yellow);
    text-wrap: nowrap;
}

.breadcrumb .slash {
    padding-inline: 1rem;
}

.breadcrumb a {
    text-decoration: underline var(--pink);
    text-decoration-thickness: 2px;
    -webkit-text-decoration: underline var(--pink);
    -webkit-text-decoration-thickness: 2px;
    color: var(--dark);
}

.breadcrumb a:hover {
    text-decoration: underline dotted var(--dark);
    text-decoration-thickness: 2px;
    -webkit-text-decoration: underline dotted var(--dark);
    -webkit-text-decoration-thickness: 2px;
  }

  .prev-next {
    display: flex;
    flex-direction: row;
    width: max-content;
    text-wrap: nowrap;
    p {
        text-wrap: nowrap;
        text-align: right;
    }
  }

/* lightbox link */
.lightbox-container {
    display:flex;
    flex-flow: row wrap;
    justify-content:center;
    align-content:center;
    align-items:center;
    gap: 1rem;
    a {
        flex: 0 0 calc(33.3333% - 1.325rem);
        align-self: center;
    }
}

.lightbox {
    background-color: transparent;
    position: relative;
    max-width: 100%;
    max-height: fit-content;
    border-radius: 5px;
    border: 2px solid var(--dark);
    background-color: var(--purple);
    }
    .thumbnail {
        display: block;
        width: 100%;
        height: 100%;
        border-radius: 3px;
    }
    .title.dark {
        display: none;
    }

.lightbox:hover {
    .thumbnail {
        mix-blend-mode: luminosity;
        opacity: 80%;
    }
    .title.dark {
        display: block;
        padding: .5rem 1rem .5rem 1rem;
        width: 100%;
        text-align: center;
        position: absolute;
        top: 45%;
        z-index: 1;
        border-radius: 0px 0px 0px 0px;
        font-weight: 200;
        font-size: 1.25rem;
    }
}

.single {
    margin: 0rem 1rem 1rem 1rem;
}

.bottom, .image.bottom {
    padding-bottom: 0;
    margin-bottom: 0;
}

.content-container {
    width: 50%;
    margin: auto;
}

.masonry {
    column-count: 2;
    column-gap: 1rem;
    padding-inline: 1rem;
}

.even-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 1rem;
    padding-inline: 1rem;
}

.about-image {
    object-fit: cover;
    height: 100%;
}

.image {
    width: 100%;
    height: auto;
    border-radius: 5px;
    border: 2px solid var(--dark);
    margin-bottom: 1rem;
    background-color: var(--yellow);
}

.double-image {
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 1rem;

    .image {
        width: 100%;
    }
}

.double-image-bottom {
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 1rem;
    margin-bottom: 1rem;
    margin-bottom: 0;

    .image {
        width: 100%;
    }
}

.col1 {
    display: flex;
    flex-direction: column;
    justify-content: start;
    margin-right: 0.5rem;
    margin-left: 1rem;
    padding-bottom: 0;
    border-radius: 5px;
    overflow: hidden;
}

.col2 {
    display: flex;
    flex-direction: column;
    height: fit-content;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    margin-right: 1rem;
    margin-left: 0.5rem;
    margin-bottom: 1rem;
    border-radius: 5px;
    border: 2px solid var(--pink);
    background-color: var(--yellow);
}

.plain {
    padding: 0;
    background-color: transparent;
    border: none;
}

.content-container .signoff {
    display: block;
    text-align: right;
    font-style: italic;
}

.content-container a {
    text-decoration: underline var(--pink);
    text-decoration-thickness: 2px;
    -webkit-text-decoration: underline var(--pink);
    -webkit-text-decoration-thickness: 2px;
    color: var(--dark);
}

.content-container a:hover {
    text-decoration: underline dotted var(--dark);
    text-decoration-thickness: 2px;
    -webkit-text-decoration: underline dotted var(--dark);
    -webkit-text-decoration-thickness: 2px;
  }

.content-container h3, .content-container h4, .content-container h5 {
    text-align: center;
    width: 100%;
    padding: .5rem;
    margin-inline: auto;
    margin-block: 1rem;
    background-color: var(--blue);
    border-radius: 5px;
    border: 2px solid var(--dark);
}

.content-container h5 {
    background-color: var(--pink);
}

.content-container h2 {
    font-size: 1.5rem;
}

.content-container h3 {
    font-size: 1.25rem;
}

.content-container ul {
    list-style: none;
    display: block;
}

.content-container ul li {
    width: 100%;
    display: block;
    text-align: left;
    padding: 0;
}

.content-container .blurb {
    font-style: italic;
}

/* media tags for responsiveness */
@media (max-width: 980px) {
    .banner-image {
        min-height: 20%;
        max-height: 20%;
    }

    nav {
        top: 20%
    }

    .lightbox-container {
        a {
            flex: 0 calc(50% - 1.5rem);
        }
    }

    .content-container {
        width: 90%;
        min-width: 90%;
        display: flex;
        flex-direction: column;
    }

    .col1 {
        margin-inline: 1rem;
        margin-bottom: 0rem;
    }

    .no-pad {
        margin-bottom: 0;
    }

    .col2 {
        margin-inline: 1rem;
    }

    .about-image {
        height: auto;
        width: 100%;
        margin-bottom: 1;
    }

    .col1.home {
        display: none;
    }

    .col2.home {
        width: 100%;
        margin: 0;
        padding-left: 0;
    }

    .subtitle {
        text-align: center;
    }

    .col1.home.open {
        display: block;
        width: 100%;
        margin: 0;
        height: 100%;
        border-radius: 0 0 5px 5px;
        padding-bottom: 9rem;
        border: none;
    }

    #footer footer {
        flex-direction: column;
        
        p {
            text-align: center;
            padding-bottom: 1rem;
            width: 100%;
        }      
    }
}

@media (max-width: 660px) {
    .hero-text {
        width: 80%;
        margin: auto;
    }

    .lightbox-container {
        flex-direction: column;
        a {
           flex: auto;
           width: 100%;
           padding-inline: 1rem;
        }
    }

    .lightbox {
        .title.dark {
        display: block;
        padding: .5rem 1rem .5rem 1rem;
        width: 100%;
        text-align: center;
        position: absolute;
        top: 45%;
        z-index: 1;
        border-radius: 0px 0px 0px 0px;
        font-weight: 200;
        font-size: 1.25rem;
        }
    }

    .hero-image {
        background-position: 55%;
    }

    .off-the-clock, .gigs, .about {
        background-position: center;
    }

    .light {
        max-width: 85%;
    }

    .double-image {
        display: flex;
        flex-direction: column;
        grid-gap: 0;
    }
}
